$(document).ready( function() {
  $('div.WysiwygTextWidget textarea').ckeditor();
  $('.block-edit-custom-text a.edit-custom-text').hide();
  $('.block-edit-custom-text').tooltip({
     content: LIVE_EDIT_TOOLTIP, items: 'div', track: true,
     show: {delay: 0}
  });
  $('.block-edit-custom-text').dblclick(function(event) {
    var edit_url = $(this).find('a.edit-custom-text').attr('href');
    var custom_text = $(this).find('div.block-custom-text');
    $.ajax({
      url: edit_url,
      beforeSend: function(xhr) {xhr.setRequestHeader('X-Popup', 'true'); },
      success: function(html) {
        dialog = $('<form>');
        $(html).find('input[name="_form_id"]').appendTo(dialog);
        $(html).find('textarea').appendTo(dialog);
        var title = $(html).find('label').text();
        var ckname = $(html).find('textarea').attr('name');
        var submit = $(html).find('input[name="submit"]').val();
        var cancel = $(html).find('input[name="cancel"]').val();
        $(dialog).dialog({
             modal: true,
             resizable: false,
             title: title,
             show: { effect: 'fade', duration: 400 },
             width: '50em'});
        $(dialog).dialog('option', 'buttons', [
            {text: cancel,
             click: function() { $(this).dialog('close'); }},
            {text: submit,
             click: function() {
                 $.ajax({
                   url: edit_url,
                   beforeSend: function(xhr) {xhr.setRequestHeader('X-Ajax', 'true'); },
                   data: $(this).serialize(),
                   type: 'POST'
                 });
                 $(this).dialog('close');
                 $(custom_text).empty();
                 $(CKEDITOR.instances[ckname].getData()).appendTo(custom_text);
             }
            }]);

        $(dialog).find('textarea').ckeditor();
        return true;
      }
    });
    event.preventDefault();
    return false;
  });
});
