$(function() {
  $('#columns-settings').click(function() {
    var dialog = $('<form>');
    $('#columns-filter').clone().appendTo(dialog);
    $(dialog).find('input').each(function(idx, elem) {
      $(this).attr('id', 'dlg-' + $(this).attr('id'));
    });
    $(dialog).find('label').each(function(idx, elem) {
      $(this).attr('for', 'dlg-' + $(this).attr('for'));
    });
    $(dialog).dialog({
            modal: true,
            resizable: false,
            title: $('#columns-settings').text(),
            width: '30em'});
    $(dialog).dialog('option', 'buttons', [
            {text: $('form#listing-settings input.refresh').val(),
             click: function() {
                $(this).find('input[type="checkbox"]').each(function(idx, elem) {
                $('form#listing-settings input[name="' + $(elem).attr('name') + '"]').prop('checked',
                        $(elem).prop('checked'));
                });
                $(this).dialog('close');
                $('form#listing-settings').submit();
              }
            }]);
    return false;
  });
  /* possibility to toggle the sidebar */
  $('#main-content').after($('<span id="sidebar-toggle">&#8286;</span>'));
  $('#sidebar-toggle').click(function() {
    if ($('#sidebar').css('display') === 'none') {
      $('#main-content').animate({width: '70%'}, 400,
              function() {$('#sidebar').show()});
    } else {
      $('#sidebar').hide();
      $('#main-content').animate({width: '95%'});
    }
  });
});
