import pytest

def pytest_addoption(parser):
    parser.addoption('--run-postgresql', action='store_true',
                    help='run postgresql tests')

def pytest_runtest_setup(item):
    if 'postgresql' in item.keywords and not item.config.option.run_postgresql:
        pytest.skip('skipped because no --run-postgresql')
