function displayPopup(event)
{
    $.ajax({
        url: $(this).attr('href'),
        beforeSend: function(xhr) {xhr.setRequestHeader('X-Popup', 'true'); },
        success: function(html) {
            var title = $(html).find('h2').text();
            var dialog = $(html).dialog({modal: true, title: title, width: 'auto'});
            $(dialog).find('h2').remove();
            $(dialog).find('a.cancel').click(function() { $(dialog).dialog('destroy'); return false;});
            $(dialog).find('input[name=cancel]').click(function() { $(dialog).dialog('destroy'); return false;});
            $(dialog).find('input:visible')[0].focus();
            if ($(dialog).find('input[name$=add_element]').length) {
                prepare_widget_list_elements();
            }
            if (jQuery.fn.colourPicker !== undefined) {
              jQuery('select.colour-picker').colourPicker({title: ''});
            }
            return false;
        }
    });
    return false;
}

$(function() {
    $('a[rel=popup]').click(displayPopup);
});
